DX NetOps

Expand all | Collapse all

Is TLS 1.3 Supported by NetOps 19.1 - CA Spectrum OneClick Version 10.4.0.0.95 and CA VAIM Release: 12.9

  • 1.  Is TLS 1.3 Supported by NetOps 19.1 - CA Spectrum OneClick Version 10.4.0.0.95 and CA VAIM Release: 12.9

    Posted 03-04-2021 06:25 PM
    Can someone verify that TLS 1.3 is supported by Spectrum (NetOps 19.1 - CA Spectrum OneClick Version 10.4.0.0.95) and CA VAIM (Release: 12.9). Which web server technology is used, e.g IIS, Apache, etc. Also, will enabling SSL affect any product integrations?


  • 2.  RE: Is TLS 1.3 Supported by NetOps 19.1 - CA Spectrum OneClick Version 10.4.0.0.95 and CA VAIM Release: 12.9

    Posted 03-05-2021 01:54 AM
    Also, will enabling SSL affect any product integrations?

    The obvious answer is yes, it will affect all integrations configured to query the Tomcat on the Spectrum side.


    ------------------------------
    Senior Consultant
    SolvIT Networks
    ------------------------------



  • 3.  RE: Is TLS 1.3 Supported by NetOps 19.1 - CA Spectrum OneClick Version 10.4.0.0.95 and CA VAIM Release: 12.9

    Posted 03-05-2021 04:47 AM
    In addition please also comment on what is the "Latest TLS Version Support" by Spectrum ((NetOps 19.1 - CA Spectrum OneClick Version 10.4.0.0.95) and CA VAIM (Release: 12.9) ? is there any supporting document available for reference?


  • 4.  RE: Is TLS 1.3 Supported by NetOps 19.1 - CA Spectrum OneClick Version 10.4.0.0.95 and CA VAIM Release: 12.9

    Posted 03-05-2021 05:11 AM
    I do not know that. Check the Release Notes on each version to find about changes.

    ------------------------------
    Senior Consultant
    SolvIT Networks
    ------------------------------



  • 5.  RE: Is TLS 1.3 Supported by NetOps 19.1 - CA Spectrum OneClick Version 10.4.0.0.95 and CA VAIM Release: 12.9

    Posted 03-05-2021 12:27 PM
    Folks any information on CA Virtual Assurance (Release: 12.9) in regards to support TLS 1.3


  • 6.  RE: Is TLS 1.3 Supported by NetOps 19.1 - CA Spectrum OneClick Version 10.4.0.0.95 and CA VAIM Release: 12.9

    Broadcom Employee
    Posted 03-05-2021 11:34 AM
    TLS 1.3 was only supported in Java 11.  But seeing it may have been back ported to Java 8 in 8u262-b10 from AdoptOpenJDK

    Spectrum uses Apache Tomcat as a webserver.  It appears Spectrum 10.4.3 ships OpenJDK Runtime Environment (AdoptOpenJDK)(build 1.8.0_275-b01).  So if you are running 10.4.3+, you might be able to enable TLS1.3.  No internal testing of TLS1.3 has been done yet.  This is the first I've read that TLS1.3 was backported to Java 8.

    Yes, enabling HTTPS in OneClick will require updating Performance Center with the OC certs, and changing the data source to use https.


  • 7.  RE: Is TLS 1.3 Supported by NetOps 19.1 - CA Spectrum OneClick Version 10.4.0.0.95 and CA VAIM Release: 12.9

    Posted 03-05-2021 12:24 PM
    Thanks Jeffrey for detailed response, very helpful information.